---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libredefclass010.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x50BD0, symBinAddr: 0x6300, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52B10, symBinAddr: 0x8240, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52F00, symBinAddr: 0x8630, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x53EA0, symBinAddr: 0x95D0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x53EB0, symBinAddr: 0x95E0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50850, symBinAddr: 0x61C0, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x50854, symBinAddr: 0x61C4, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50858, symBinAddr: 0x61C8, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x509A0, symBinAddr: 0x61D0, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50A58, symBinAddr: 0x6288, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x50A5C, symBinAddr: 0x628C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x50A60, symBinAddr: 0x6290, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x50A64, symBinAddr: 0x6294, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x50A68, symBinAddr: 0x6298, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x50A70, symBinAddr: 0x62A0, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x50A88, symBinAddr: 0x62B8, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x50A90, symBinAddr: 0x62C0, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x50A98, symBinAddr: 0x62C8, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x50AA0, symBinAddr: 0x62D0, symSize: 0x0 }
  - { offsetInCU: 0x8FD8, offset: 0x8FD8, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x50AA8, symBinAddr: 0x62D8, symSize: 0x0 }
  - { offsetInCU: 0x90BE, offset: 0x90BE, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x50AF0, symBinAddr: 0x62E0, symSize: 0x0 }
  - { offsetInCU: 0x90D7, offset: 0x90D7, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x50AF8, symBinAddr: 0x62E8, symSize: 0x0 }
  - { offsetInCU: 0x90F0, offset: 0x90F0, size: 0x8, addend: 0x0, symName: __ZL7orig_ln, symObjAddr: 0xE380, symBinAddr: 0x4C50, symSize: 0x0 }
  - { offsetInCU: 0x911B, offset: 0x911B, size: 0x8, addend: 0x0, symName: __ZL7redf_ln, symObjAddr: 0xE400, symBinAddr: 0x4CD0, symSize: 0x0 }
  - { offsetInCU: 0x9134, offset: 0x9134, size: 0x8, addend: 0x0, symName: __ZL12origMethInfo, symObjAddr: 0xE240, symBinAddr: 0x6080, symSize: 0x0 }
  - { offsetInCU: 0x91A6, offset: 0x91A6, size: 0x8, addend: 0x0, symName: __ZL13redefMethInfo, symObjAddr: 0xE2E0, symBinAddr: 0x6120, symSize: 0x0 }
  - { offsetInCU: 0x91F8, offset: 0x91F8, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x1160, symSize: 0x80 }
  - { offsetInCU: 0x928D, offset: 0x928D, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x10B0, symSize: 0xB0 }
  - { offsetInCU: 0x92E8, offset: 0x92E8, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0xFB0, symSize: 0x100 }
  - { offsetInCU: 0x957B, offset: 0x957B, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x11E0, symSize: 0x220 }
  - { offsetInCU: 0x9760, offset: 0x9760, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1400, symSize: 0xA0 }
  - { offsetInCU: 0x9813, offset: 0x9813, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x14A0, symSize: 0x110 }
  - { offsetInCU: 0x9909, offset: 0x9909, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x15B0, symSize: 0x150 }
  - { offsetInCU: 0x9A3A, offset: 0x9A3A, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1700, symSize: 0x30 }
  - { offsetInCU: 0x9AC3, offset: 0x9AC3, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0x1730, symSize: 0x150 }
  - { offsetInCU: 0x9CBB, offset: 0x9CBB, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x1880, symSize: 0x160 }
  - { offsetInCU: 0x9E47, offset: 0x9E47, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x19E0, symSize: 0x1B0 }
  - { offsetInCU: 0xA062, offset: 0xA062, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x1B90, symSize: 0xA0 }
  - { offsetInCU: 0xA15D, offset: 0xA15D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x1C30, symSize: 0x20 }
  - { offsetInCU: 0xA194, offset: 0xA194, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x1C50, symSize: 0x20 }
  - { offsetInCU: 0xA1CB, offset: 0xA1CB, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x1C70, symSize: 0x20 }
  - { offsetInCU: 0xA33A, offset: 0xA33A, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x1C90, symSize: 0x1A0 }
  - { offsetInCU: 0xA658, offset: 0xA658, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x1E30, symSize: 0x80 }
  - { offsetInCU: 0xA721, offset: 0xA721, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x1EB0, symSize: 0x6C0 }
  - { offsetInCU: 0xB297, offset: 0xB297, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA300, symBinAddr: 0x3270, symSize: 0xB0 }
  - { offsetInCU: 0xB30E, offset: 0xB30E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x2570, symSize: 0x70 }
  - { offsetInCU: 0xB402, offset: 0xB402, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x25E0, symSize: 0xA0 }
  - { offsetInCU: 0xB501, offset: 0xB501, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x2680, symSize: 0x40 }
  - { offsetInCU: 0xB5F7, offset: 0xB5F7, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x26C0, symSize: 0x2B0 }
  - { offsetInCU: 0xB99D, offset: 0xB99D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x2970, symSize: 0xC0 }
  - { offsetInCU: 0xBAE3, offset: 0xBAE3, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x2A30, symSize: 0x10 }
  - { offsetInCU: 0xBBA5, offset: 0xBBA5, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x2A40, symSize: 0x240 }
  - { offsetInCU: 0xBE8E, offset: 0xBE8E, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x2C80, symSize: 0x10 }
  - { offsetInCU: 0xBEE4, offset: 0xBEE4, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9D20, symBinAddr: 0x2C90, symSize: 0x110 }
  - { offsetInCU: 0xC064, offset: 0xC064, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9E30, symBinAddr: 0x2DA0, symSize: 0x10 }
  - { offsetInCU: 0xC0BA, offset: 0xC0BA, size: 0x8, addend: 0x0, symName: _checkAttr, symObjAddr: 0x9E40, symBinAddr: 0x2DB0, symSize: 0x340 }
  - { offsetInCU: 0xC213, offset: 0xC213, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_RedefineClasses_redefclass010_checkOrigAttr, symObjAddr: 0xA180, symBinAddr: 0x30F0, symSize: 0x40 }
  - { offsetInCU: 0xC30B, offset: 0xC30B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_RedefineClasses_redefclass010_makeRedefinition, symObjAddr: 0xA1C0, symBinAddr: 0x3130, symSize: 0x110 }
  - { offsetInCU: 0xC450, offset: 0xC450, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_RedefineClasses_redefclass010_getResult, symObjAddr: 0xA2D0, symBinAddr: 0x3240, symSize: 0x30 }
  - { offsetInCU: 0xC514, offset: 0xC514, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA3B0, symBinAddr: 0x3320, symSize: 0x36A }
...
